Bug 21945 - Clean up stock rotation template
Summary: Clean up stock rotation template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 14546
  Show dependency treegraph
 
Reported: 2018-12-04 16:51 UTC by Owen Leonard
Modified: 2019-02-01 14:44 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21945: Clean up stock rotation template (4.58 KB, patch)
2018-12-04 16:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21945: Clean up stock rotation template (4.66 KB, patch)
2019-01-18 20:51 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 21945: Clean up stock rotation template (4.72 KB, patch)
2019-01-19 22:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-12-04 16:51:47 UTC
There are some minor markup issues with the stock rotation template under tools, including needing a Bootstrap grid upgrade.
Comment 1 Owen Leonard 2018-12-04 16:58:47 UTC
Created attachment 82849 [details] [review]
Bug 21945: Clean up stock rotation template

This patch makes some minor markup upgrades to the stock rotation
template: Replace some YUI markup with Bootstrap; Add some missing <tr>
tags; Remove invalid "type" attribute from <script> tag.

To test, apply the patch and go to Tools -> Stock rotation. Confirm that
the page looks correct and adjusts well at various browser widths. Test
with various views: New rota, edit rota, manage stages, manage items.
Comment 2 José-Mario Monteiro-Santos 2019-01-18 20:51:31 UTC
Created attachment 84220 [details] [review]
Bug 21945: Clean up stock rotation template

This patch makes some minor markup upgrades to the stock rotation
template: Replace some YUI markup with Bootstrap; Add some missing <tr>
tags; Remove invalid "type" attribute from <script> tag.

To test, apply the patch and go to Tools -> Stock rotation. Confirm that
the page looks correct and adjusts well at various browser widths. Test
with various views: New rota, edit rota, manage stages, manage items.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 3 Katrin Fischer 2019-01-19 22:54:55 UTC
Created attachment 84235 [details] [review]
Bug 21945: Clean up stock rotation template

This patch makes some minor markup upgrades to the stock rotation
template: Replace some YUI markup with Bootstrap; Add some missing <tr>
tags; Remove invalid "type" attribute from <script> tag.

To test, apply the patch and go to Tools -> Stock rotation. Confirm that
the page looks correct and adjusts well at various browser widths. Test
with various views: New rota, edit rota, manage stages, manage items.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-01-28 16:11:13 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-02-01 14:44:26 UTC
Thanks for tidying this Owen :)